> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fintoc.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Charge

**`v1`** · Base URL `https://api.fintoc.com/v1`


## OpenAPI

````yaml v2023-11-15/reference/fintoc-api.json POST /charges
openapi: 3.1.0
info:
  title: fintoc-api
  version: '2023-11-15'
servers:
  - url: https://api.fintoc.com/v1
security:
  - {}
paths:
  /charges:
    post:
      summary: Create Charge
      operationId: create-charge
      parameters:
        - name: Authorization
          in: header
          description: Fintoc Secret Key
          schema:
            type: string
            default: sk_test_9c8d8CeyBTx1VcJzuDgpm4H
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - subscription_id
                - amount
                - currency
              properties:
                subscription_id:
                  type: string
                  description: Id of the subscription this charge will be executed on
                  default: sub_000000
                amount:
                  type: integer
                  description: >-
                    Amount to charge, [represented as an
                    integer](doc:currencies). This value must always be greater
                    than 0.
                  default: 10000
                  format: int32
                currency:
                  type: string
                  description: >-
                    [Currency ISO
                    code](https://www.iso.org/iso-4217-currency-codes.html).
                  default: clp
                metadata:
                  type: string
                  description: >-
                    Custom key-value pairs to add to the created payment_intent
                    object
                  default: '{}'
                  format: json
                business_profile:
                  type: object
                  description: Enrolled merchant identifier for category-based billing
                  properties:
                    name:
                      type: string
                      description: >-
                        Enrolled merchant´s name. If set, will be shown as the
                        "Recipient" on the widget screens.
                    tax_id:
                      type: string
                      description: Tax identifier of the enrolled merchant account
                    category:
                      type: string
                      description: >-
                        Enrolled merchant category identifier. In Chile, it
                        corresponds to a 6 character activity code from SII
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value: "{\n\t\"id\": \"ch_m7N9rAWJS9dWDKEe\",\n  \"object\": \"charge\",\n  \"amount\": 1000,\n\t\"currency\": \"CLP\",\n  \"status\": \"pending\",\n\t\"failure_code\": null,\n\t\"created_at\": \"2021-11-11T02:29:16Z\",\n}"
      deprecated: false

````